function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"5",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
			create_mini(8128);
end;

function gameinput (sender,id,attachedID)


	if sender==16 then
	if not help then
		help=true;
		CreateWindow(200,200,"5",100,"messageinfo")
	end;			
	BlockCursor(false);
	if id==17 then
		 BlockCursor(false)
		 finish_mini_game(true)
	return;end;		
	return;end;

	-- if sender==21 then
		-- if id==14 then
			-- speciale_action(2,14);
			-- speciale_action(2,13);
		-- return;end;	
	-- return;end;	
	

	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==36 then
	if id==2100 then
		BlockCursor(false);
	  clear_satelite_leaf("private_room");
	  return;end;
	return;end;
	
	if sender==30 then
		setcurentleaf("private_room",3,2);
		DarkScreen(false);
		if flags.minicomplete4 then
		    StopEmiter("Tumb");
			collaps_obj(301,0,0,0,0);
			AddElement("gr",301);
			setcolor(301,0,0,0,0.5,1);
			MoveObjectToTree(301);
			StartTimer(9999,2.5)
			Set_Cursor(40,3);
			savegame(SaveLevel())
		return; end;	
	return; end;

	if sender==10 then
		flags.minicomplete4=true;
		playeffect("miniC");
		StartTimer(2100,1);
		BlockCursor(true);
      
	return; end;
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;
		if sender==1 then
		if id==6000 then
			CreateWindow(200,200,"5",100,"messageinfo") 
		return;end;		
		if id==2 then
			playeffect("close");
		    finish_mini_game(false);
			clear_satelite_leaf("private_room");
			DeleteResource("dm0000");
			DeleteResource("dm0001");
			DeleteResource("dm0002");
			DeleteResource("dm0003");
			DeleteResource("dm0004");
			DeleteResource("dm0005");
			DeleteResource("dm0006");		
			DeleteResource("dm0007");	
			DeleteResource("dm0008");
			DeleteResource("dm0009");		
			DeleteResource("dm0010");			
			DeleteResource("dm0011");
			DeleteResource("dm0017");
		return;end;

		if id==5000 and skipping then
		playeffect("skip");
		if not flags.minicomplete4 then
			--finish_mini_game(true);
			BlockCursor(true)
			 speciale_action(2,17,true,3);
		return;end;			
		return;end;		
		
		if id==4 then
		     speciale_action(2,4);
			 speciale_action(2,17,true,3);
			 
		    
		--	speciale_action(2,2000);	
			--ScaleObject(17,1,1.1);	
		return;end;
		
		
	return; end;
			
end;
